package com.dev.swms.server.model.abstractEntity;

import java.util.List;

import com.dev.swms.server.model.base.BillType;
import com.dev.swms.server.model.base.Structure;
import com.dev.swms.server.model.base.Warehouse;
import com.dev.swms.server.model.inventory.Inventory;
import com.dev.swms.server.model.inventory.Task;
import com.dev.energy.server.model.VersionalEntity;

public abstract class AbstractMoveDoc extends VersionalEntity {
	public abstract double getAllocatedQuantity();
	public abstract void setAllocatedQuantity(double allocatedQuantity);
	public abstract String getCode();
	public abstract void setCode(String code);
	public abstract double getOrderQuantity();
	public abstract void setOrderQuantity(double orderQuantity);
	public abstract double getPickedQuantity();
	public abstract void setPickedQuantity(double pickedQuantity);
	public abstract double getShippedQuantity();
	public abstract void setShippedQuantity(double shippedQuantity);
	public abstract List<AbstractMoveDocDetail> getAbstractMoveDocDetails();
	public abstract Task allocate(String bhCode,AbstractMoveDocDetail moveDocDetail, Inventory inventory, double quantity);
	public abstract Warehouse getWarehouse();
	public abstract BillType getBillType();
	public abstract Structure getCompany();
	public abstract void setApplyDoc(String code);
}
